## python-oslo.utils 3.41.3

=== debian/changelog ===
python-oslo.utils (3.41.3-1) unstable; urgency=medium

  * CVE-2019-3866: Sensitive information leaked in mistral logs. Upgraded to
    latest upstream point release, including upstream patch: Make mask_password
    case insensitive, and add new patterns (Closes: #946060).
  * Add patch to disable a failing unit test in Python 3.8. Issue is reported
    upstream at: https://bugs.launchpad.net/oslo.utils/+bug/1857199.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Dec 2019 20:57:21 +0100

python-oslo.utils (3.41.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:56:22 +0200

python-oslo.utils (3.41.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2019 08:48:22 +0200

python-oslo.utils (3.41.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2019 09:40:43 +0200

python-oslo.utils (3.41.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 11:16:06 +0200

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-ddt,
 python3-debtcollector (>= 1.2.0),
 python3-eventlet,
 python3-fixtures (>= 1.3.1) <!nocheck>,
 python3-fixtures (>= 1.3.1) <!nodoc>,
 python3-funcsigs (>= 0.4),
 python3-hacking,
 python3-iso8601,
 python3-mock (>= 2.0),
 python3-netaddr,
 python3-netifaces,
 python3-openstackdocstheme (>= 1.17.0) <!nodoc>,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslotest (>= 1:3.2.0),
 python3-pyparsing,
 python3-six,
 python3-stestr (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-tz,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

Package: python3-oslo.utils
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-funcsigs (>= 0.4),
 python3-iso8601,
 python3-netaddr,
 python3-netifaces,
 python3-oslo.i18n (>= 3.15.3),
 python3-pbr (>= 2.0.0),
 python3-pyparsing,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.utils.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3.7 stestr run --subunit| subunit2pyunit
	stestr slowest
	rm -rf .stestr
	#pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.utils-doc/usr/share/doc/python-oslo.utils-doc/html
	dh_sphinxdoc
endif

## python-oslo.utils 4.0.0

=== debian/changelog ===
python-oslo.utils (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:27:21 -0400

python-oslo.utils (3.42.1-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
    - d/p/disable-unit-test-that-fails-with-py3.8.patch: Better coverage.
    - d/t/python-import: Ensure this test is py3-only.
  * New uptream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 11:04:14 +0000

python-oslo.utils (3.41.1-0ubuntu2) focal; urgency=medium

  * Non-strict relfection comparison is not possible in py3.8+. LP: #1841072
  * Use python3 when detecting module name from setup.py in autopkgtest.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Nov 2019 11:23:18 +0000

## python-oslo.utils 4.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# NOTE(dhellmann): Because oslo.utils is used by the client libraries,
# we do not want to add a lot of dependencies to it. If you find that
# adding a new feature to oslo.utils means adding a new dependency,
# that is a likely indicator that the feature belongs somewhere else.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT
iso8601>=0.1.11 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
pytz>=2013.6 # MIT
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
debtcollector>=1.2.0 # Apache-2.0
pyparsing>=2.1.0 # MIT

=== debian/changelog ===
python-oslo.utils (4.1.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:30:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.utils
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -13,35 +14,36 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  bandit,
- python3-coverage,
- python3-ddt,
+ python3-bandit (>= 1.1.0),
+ python3-coverage (>= 4.0),
+ python3-ddt (>= 1.0.1),
  python3-debtcollector (>= 1.2.0),
- python3-eventlet,
- python3-fixtures (>= 1.3.1) <!nocheck>,
- python3-fixtures (>= 1.3.1) <!nodoc>,
- python3-funcsigs (>= 0.4),
- python3-hacking,
- python3-iso8601,
- python3-mock (>= 2.0),
- python3-netaddr,
- python3-netifaces,
- python3-openstackdocstheme (>= 1.17.0) <!nodoc>,
+ python3-eventlet (>= 0.18.2),
+ python3-fixtures (>= 3.0.0) <!nocheck>,
+ python3-fixtures (>= 3.0.0) <!nodoc>,
+ python3-hacking (>= 1.1.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-mock (>= 2.0.0),
+ python3-netaddr (>= 0.7.18),
+ python3-netifaces (>= 0.10.4),
+ python3-openstackdocstheme (>= 1.20.0) <!nodoc>,
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslotest (>= 1:3.2.0),
- python3-pyparsing,
- python3-six,
+ python3-pyparsing (>= 2.1.0),
+ python3-reno (>= 2.5.0),
+ python3-six (>= 1.10.0),
  python3-stestr (>= 2.0.0),
- python3-testscenarios,
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-tz,
+ python3-tz (>= 2013.6),
  subunit,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.utils
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.utils
 Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.utils-doc
@@ -63,14 +65,14 @@
 Architecture: all
 Depends:
  python3-debtcollector (>= 1.2.0),
- python3-funcsigs (>= 0.4),
- python3-iso8601,
- python3-netaddr,
- python3-netifaces,
+ python3-iso8601 (>= 0.1.11),
+ python3-netaddr (>= 0.7.18),
+ python3-netifaces (>= 0.10.4),
  python3-oslo.i18n (>= 3.15.3),
  python3-pbr (>= 2.0.0),
- python3-pyparsing,
- python3-six,
+ python3-pyparsing (>= 2.1.0),
+ python3-six (>= 1.10.0),
+ python3-tz (>= 2013.6),
  ${misc:Depends},
  ${python3:Depends},
 Description: set of utility functions for OpenStack - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHON=python3.7 stestr run --subunit| subunit2pyunit
-	stestr slowest
-	rm -rf .stestr
-	#pkgos-dh_auto_test --no-py2
+	pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_sphinxdoc:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.utils/ oslo.utils-(\d.*)\.tar\.gz

## python-oslo.utils 4.6.0

=== requirements.txt ===
--- 
+++ 
@@ -16,3 +16,4 @@
 netifaces>=0.10.4 # MIT
 debtcollector>=1.2.0 # Apache-2.0
 pyparsing>=2.1.0 # MIT
+packaging>=20.4 # BSD

=== debian/changelog ===
python-oslo.utils (4.6.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 22:48:51 +0200

python-oslo.utils (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed disable-unit-test-that-fails-with-py3.8.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 15:46:31 +0200

python-oslo.utils (4.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed debian/patches/Fix_uuidsentinel_to_follow_getattr_protocol.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 12:32:48 +0200

python-oslo.utils (4.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jul 2020 10:50:00 +0200

python-oslo.utils (4.1.1-4) unstable; urgency=medium

  * Add Fix_uuidsentinel_to_follow_getattr_protocol.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Jun 2020 10:56:13 +0200

python-oslo.utils (4.1.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 21:32:19 +0200

python-oslo.utils (4.1.1-2) experimental; urgency=medium

  * Do not run tests with specific Python version, use all versions that are
    available (Closes: #958032).

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Apr 2020 00:44:38 +0200

python-oslo.utils (4.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 14:11:05 +0200

python-oslo.utils (3.41.5-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Mar 2020 12:47:54 +0100

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-ddt,
 python3-debtcollector (>= 1.2.0),
 python3-eventlet,
 python3-fixtures (>= 1.3.1) <!nocheck>,
 python3-fixtures (>= 1.3.1) <!nodoc>,
 python3-hacking,
 python3-iso8601,
 python3-netaddr,
 python3-netifaces,
 python3-openstackdocstheme (>= 1.17.0) <!nodoc>,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslotest (>= 1:3.2.0),
 python3-packaging (>= 20.4),
 python3-pyparsing,
 python3-six,
 python3-stestr (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-tz,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

Package: python3-oslo.utils
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-iso8601,
 python3-netaddr,
 python3-netifaces,
 python3-oslo.i18n (>= 3.15.3),
 python3-pbr (>= 2.0.0),
 python3-packaging (>= 20.4),
 python3-pyparsing,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,9 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+#	PYTHON=python3.7 stestr run --subunit| subunit2pyunit
+#	stestr slowest
+#	rm -rf .stestr
 	pkgos-dh_auto_test --no-py2
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.utils/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.utils 4.6.1

=== debian/changelog ===
python-oslo.utils (4.6.1-1+deb11u1) bullseye-security; urgency=high

  * New upstream release.
  * Note that this point release is needed in order to have CVE-2024-32498
    fixes in Nova, Glance and Cinder to work properly.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Aug 2022 16:02:24 +0200

## python-oslo.utils 4.8.0

=== debian/changelog ===
python-oslo.utils (4.8.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 23:14:52 +0000

python-oslo.utils (4.8.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 12:55:33 -0400

python-oslo.utils (4.7.0-0ubuntu2) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 12:25:51 +0000

python-oslo.utils (4.6.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/p/disable-unit-test-that-fails-with-py3.8.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:36:47 -0400

python-oslo.utils (4.5.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:50:03 +0000

python-oslo.utils (4.2.2-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control, d/copyright, d/rules: Update upstream git URL.
  * d/p/mock402-compat.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 14:52:36 -0400

python-oslo.utils (4.2.0-0ubuntu2) groovy; urgency=medium

  * d/p/mock402-compat.patch: Cherry pick fix for compatibility with
    newer versions of mock.

 -- James Page <james.page@ubuntu.com>  Mon, 29 Jun 2020 16:26:19 +0100

python-oslo.utils (4.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:41:47 -0400

## python-oslo.utils 4.10.0

=== debian/changelog ===
python-oslo.utils (4.10.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 12:56:11 -0400

python-oslo.utils (4.9.2-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:43:41 -0400

## python-oslo.utils 4.12.2

=== requirements.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 # that is a likely indicator that the feature belongs somewhere else.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-six>=1.10.0 # MIT
 iso8601>=0.1.11 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
 pytz>=2013.6 # MIT

=== debian/changelog ===
python-oslo.utils (4.12.2-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 14:32:05 -0500

python-oslo.utils (4.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 14:53:38 -0500

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 python3-bandit (>= 1.6.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0) <!nocheck>,
 python3-fixtures (>= 3.0.0) <!nodoc>,
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-openstackdocstheme (>= 2.2.0) <!nodoc>,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslotest (>= 1:3.2.0),
 python3-packaging (>= 20.4),
 python3-pyparsing (>= 2.1.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.utils
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.utils
Homepage: https://opendev.org/openstack/oslo.utils

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

Package: python3-oslo.utils
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-oslo.i18n (>= 3.15.3),
 python3-pbr (>= 2.0.0),
 python3-pyparsing (>= 2.1.0),
 python3-tz (>= 2013.6),
 ${misc:Depends},
 ${python3:Depends},
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

## python-oslo.utils 4.12.4

=== debian/changelog ===
python-oslo.utils (4.12.4-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:55:08 +0000

python-oslo.utils (4.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 May 2022 10:45:32 +0200

python-oslo.utils (4.12.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 09:26:23 +0100

python-oslo.utils (4.12.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Feb 2022 16:10:16 +0100

python-oslo.utils (4.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Jan 2022 17:02:21 +0100

python-oslo.utils (4.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:03:15 +0200

python-oslo.utils (4.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 13:30:30 +0200

python-oslo.utils (4.8.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:49:24 +0200

python-oslo.utils (4.8.0-2) experimental; urgency=medium

  * Fixed (build-)depends for Bullseye release.
  * Bump Standards-Version to 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Mar 2021 18:32:17 +0100

python-oslo.utils (4.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Mar 2021 18:24:46 +0100

## python-oslo.utils 6.0.1

=== requirements.txt ===
# NOTE(dhellmann): Because oslo.utils is used by the client libraries,
# we do not want to add a lot of dependencies to it. If you find that
# adding a new feature to oslo.utils means adding a new dependency,
# that is a likely indicator that the feature belongs somewhere else.

iso8601>=0.1.11 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
pytz>=2013.6 # MIT
netaddr>=0.7.18 # BSD
netifaces>=0.10.4 # MIT
debtcollector>=1.2.0 # Apache-2.0
pyparsing>=2.1.0 # MIT
packaging>=20.4 # BSD

=== debian/changelog ===
python-oslo.utils (6.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:59:54 +0200

python-oslo.utils (6.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 15:27:22 +0200

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-ddt,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures <!nocheck>,
 python3-fixtures <!nodoc>,
 python3-hacking,
 python3-iso8601,
 python3-netaddr,
 python3-netifaces,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslotest,
 python3-packaging,
 python3-pyparsing,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

Package: python3-oslo.utils
Architecture: all
Depends:
 python3-debtcollector,
 python3-iso8601,
 python3-netaddr,
 python3-netifaces,
 python3-oslo.i18n,
 python3-pbr,
 python3-packaging,
 python3-pyparsing,
 ${misc:Depends},
 ${python3:Depends},
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

## python-oslo.utils 6.1.0

=== debian/changelog ===
python-oslo.utils (6.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046551).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 00:54:16 +0200

python-oslo.utils (6.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:47:18 +0200

python-oslo.utils (6.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:41:56 +0100

## python-oslo.utils 6.2.1

=== requirements.txt ===
--- 
+++ 
@@ -11,3 +11,4 @@
 debtcollector>=1.2.0 # Apache-2.0
 pyparsing>=2.1.0 # MIT
 packaging>=20.4 # BSD
+tzdata>=2022.4 # MIT

=== debian/changelog ===
python-oslo.utils (6.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-tz as runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 15:22:19 +0200

=== debian/control ===
--- 
+++ 
@@ -68,6 +68,7 @@
  python3-pbr,
  python3-packaging,
  python3-pyparsing,
+ python3-tz,
  ${misc:Depends},
  ${python3:Depends},
 Description: set of utility functions for OpenStack - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslo.utils 6.3.0

=== requirements.txt ===
--- 
+++ 
@@ -12,3 +12,4 @@
 pyparsing>=2.1.0 # MIT
 packaging>=20.4 # BSD
 tzdata>=2022.4 # MIT
+PyYAML>=3.13 # MIT

## python-oslo.utils 7.1.0

=== requirements.txt ===
--- 
+++ 
@@ -5,11 +5,11 @@
 
 iso8601>=0.1.11 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
-pytz>=2013.6 # MIT
+pytz>=2013.6;python_version<"3.9" # MIT
 netaddr>=0.7.18 # BSD
 netifaces>=0.10.4 # MIT
 debtcollector>=1.2.0 # Apache-2.0
 pyparsing>=2.1.0 # MIT
 packaging>=20.4 # BSD
-tzdata>=2022.4 # MIT
+tzdata>=2022.4;python_version>="3.9" # MIT
 PyYAML>=3.13 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# this is required for the docs build jobs
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.utils (7.1.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:54:59 +0000

python-oslo.utils (7.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 13:43:59 +0000

python-oslo.utils (6.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal. 
  * d/control: Add BD on python3-yaml.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 10:15:36 +0000

python-oslo.utils (6.2.1-0ubuntu2) mantic; urgency=medium

  * d/p/drop-zoneinfo.patch: Drop zoneinfo imports until python3-tzdata
    package is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 16:57:31 -0400

python-oslo.utils (6.2.1-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:57:39 -0400

python-oslo.utils (6.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:29:49 -0500

python-oslo.utils (6.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:28:03 -0400

python-oslo.utils (6.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 14:21:53 -0400

python-oslo.utils (4.13.0-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:18:10 -0400

python-oslo.utils (4.13.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:25:32 -0400

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 python3-bandit (>= 1.6.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0) <!nocheck>,
 python3-fixtures (>= 3.0.0) <!nodoc>,
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-openstackdocstheme (>= 2.2.0) <!nodoc>,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslotest (>= 1:3.2.0),
 python3-packaging (>= 20.4),
 python3-pyparsing (>= 2.1.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-yaml,
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.utils
Homepage: https://opendev.org/openstack/oslo.utils

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

Package: python3-oslo.utils
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-oslo.i18n (>= 3.15.3),
 python3-pyparsing (>= 2.1.0),
 python3-tz (>= 2013.6),
 ${misc:Depends},
 ${python3:Depends},
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

=== debian/tests/control ===
Tests: python-import, python-stestr
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr

## python-oslo.utils 7.2.0

=== debian/changelog ===
python-oslo.utils (7.2.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.
  * d/tests/*: Switch to py3versions --supported.
  * d/tests/control: Depend on python3-all.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2024 10:58:36 +0100

=== debian/control ===
--- 
+++ 
@@ -16,20 +16,15 @@
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- bandit,
- python3-bandit (>= 1.6.0),
- python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
  python3-debtcollector (>= 1.2.0),
  python3-eventlet (>= 0.18.2),
- python3-fixtures (>= 3.0.0) <!nocheck>,
- python3-fixtures (>= 3.0.0) <!nodoc>,
- python3-hacking (>= 1.1.0),
+ python3-fixtures (>= 3.0.0),
  python3-iso8601 (>= 0.1.11),
  python3-mock (>= 2.0.0),
- python3-netaddr (>= 0.7.18),
+ python3-netaddr (>= 0.10.0),
  python3-netifaces (>= 0.10.4),
- python3-openstackdocstheme (>= 2.2.0) <!nodoc>,
+ python3-openstackdocstheme (>= 2.2.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslotest (>= 1:3.2.0),
@@ -65,7 +60,7 @@
 Depends:
  python3-debtcollector (>= 1.2.0),
  python3-iso8601 (>= 0.1.11),
- python3-netaddr (>= 0.7.18),
+ python3-netaddr (>= 0.10.0),
  python3-netifaces (>= 0.10.4),
  python3-oslo.i18n (>= 3.15.3),
  python3-pyparsing (>= 2.1.0),

## python-oslo.utils 7.3.0

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 iso8601>=0.1.11 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
 pytz>=2013.6;python_version<"3.9" # MIT
-netaddr>=0.7.18 # BSD
+netaddr>=0.10.0 # BSD
 netifaces>=0.10.4 # MIT
 debtcollector>=1.2.0 # Apache-2.0
 pyparsing>=2.1.0 # MIT

=== debian/changelog ===
python-oslo.utils (7.3.0-5) unstable; urgency=medium

  * Add fix-netutils.is_valid_ip.patch (Closes: #1098666).

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 08:59:32 +0100

python-oslo.utils (7.3.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090581).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:28:41 +0100

python-oslo.utils (7.3.0-3) unstable; urgency=medium

  * Add patches:
    - Add_utility_to_replace_crypt.crypt.patch
    - Add_utility_to_replace_crypt.mksalt.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Nov 2024 12:32:42 +0100

python-oslo.utils (7.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 18:08:57 +0200

python-oslo.utils (7.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Add qemu-utils as build-depends.
  * Fix min version of python3-netaddr.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:29:35 +0200

python-oslo.utils (7.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:48:09 +0200

python-oslo.utils (7.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop py3.12-do-not-use-datetime.utcnow.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 22:57:12 +0100

python-oslo.utils (6.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-yaml as (b-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 11:30:15 +0100

python-oslo.utils (6.2.1-4) unstable; urgency=medium

  * Update last patch and use the one from upstream instead:
    - py3.12-do-not-use-datetime.utcnow.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Jan 2024 11:59:44 +0100

python-oslo.utils (6.2.1-3) unstable; urgency=medium

  * Add py312-do_not_use_datetime.datetime.utcnow.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Dec 2023 13:39:03 +0100

python-oslo.utils (6.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:13:44 +0200

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 libcrypt1,
 python3-coverage,
 python3-ddt,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures <!nocheck>,
 python3-fixtures <!nodoc>,
 python3-hacking,
 python3-iso8601,
 python3-netaddr (>= 0.10.1),
 python3-netifaces,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslotest,
 python3-packaging,
 python3-pyparsing,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-yaml,
 subunit,
 qemu-utils,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.utils.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

Package: python3-oslo.utils
Architecture: all
Depends:
 libcrypt1,
 python3-debtcollector,
 python3-iso8601,
 python3-netaddr (>= 0.10.1),
 python3-netifaces,
 python3-oslo.i18n,
 python3-pbr,
 python3-packaging,
 python3-pyparsing,
 python3-tz,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

## python-oslo.utils 8.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# NOTE(dhellmann): Because oslo.utils is used by the client libraries,
# we do not want to add a lot of dependencies to it. If you find that
# adding a new feature to oslo.utils means adding a new dependency,
# that is a likely indicator that the feature belongs somewhere else.

iso8601>=0.1.11 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
netaddr>=0.10.0 # BSD
debtcollector>=1.2.0 # Apache-2.0
pyparsing>=2.1.0 # MIT
packaging>=20.4 # BSD
tzdata>=2022.4 # MIT
PyYAML>=3.13 # MIT
psutil>=3.2.2 # BST

=== debian/changelog ===
python-oslo.utils (8.0.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/p/*: Drop, no longer needed.
  * d/control: Drop dependency on python3-tz, use tzdata-legacy for
    testing.
  * d/control: Align (Build-)Depends with snapshot.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2025 12:18:13 +0000

python-oslo.utils (7.3.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/control: Add qemu-utils to Build-Depends for tests.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 11:10:13 +0100

python-oslo.utils (7.2.0-0ubuntu2) oracular; urgency=medium

  * d/t/python-stestr: Fix issue with removal of stestr state
    directory.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 06:27:23 +0100

## python-oslo.utils 8.1.0

=== debian/changelog ===
python-oslo.utils (8.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Feb 2025 15:00:13 +0000

## python-oslo.utils 8.2.0

=== debian/changelog ===
python-oslo.utils (8.2.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:02:19 +0100

python-oslo.utils (8.2.0-3) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 16:45:22 +0100

python-oslo.utils (8.2.0-2) experimental; urgency=medium

  * Drop fix-netutils.is_valid_ip.patch, fixed in a different way upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 13:16:29 +0100

python-oslo.utils (8.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patches applied upstream:
    - Add_utility_to_replace_crypt.crypt.patch
    - Add_utility_to_replace_crypt.mksalt.patch
  * Rebased fix-netutils.is_valid_ip.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 13:00:16 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 6.1.0),
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
@@ -26,12 +26,12 @@
  python3-hacking,
  python3-iso8601,
  python3-netaddr (>= 0.10.1),
- python3-netifaces,
  python3-openstackdocstheme <!nodoc>,
  python3-oslo.config,
  python3-oslo.i18n,
  python3-oslotest,
  python3-packaging,
+ python3-psutil,
  python3-pyparsing,
  python3-stestr,
  python3-testscenarios,
@@ -67,10 +67,10 @@
  python3-debtcollector,
  python3-iso8601,
  python3-netaddr (>= 0.10.1),
- python3-netifaces,
  python3-oslo.i18n,
- python3-pbr,
+ python3-pbr (>= 6.1.0),
  python3-packaging,
+ python3-psutil,
  python3-pyparsing,
  python3-tz,
  python3-yaml,

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.utils refs/tags/(\d[brc\d\.]+)

## python-oslo.utils 9.0.0+git2025070911.1a85259

=== debian/changelog ===
python-oslo.utils (9.0.0+git2025070911.1a85259-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 24 Jul 2025 16:50:01 -0400

python-oslo.utils (8.2.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:54:40 +0000

## python-oslo.utils 9.1.0

=== requirements.txt ===
--- 
+++ 
@@ -16,3 +16,4 @@
 tzdata>=2022.4 # MIT
 PyYAML>=3.13 # MIT
 psutil>=3.2.2 # BST
+pbr>=6.1.0 # Apache-2.0

=== doc/requirements.txt ===
# this is required for the docs build jobs
sphinx>=2.0.0 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-oslo.utils (9.1.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 15 Sep 2025 11:20:16 -0700

=== debian/control ===
Source: python-oslo.utils
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 6.1.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-iso8601 (>= 0.1.11),
 python3-netaddr (>= 0.10.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslotest (>= 1:3.2.0),
 python3-packaging (>= 20.4),
 python3-pbr (>= 6.1.0),
 python3-psutil (>= 3.2.2),
 python3-pyparsing (>= 2.1.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.13),
 qemu-utils,
 subunit,
 tzdata-legacy,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.utils
Homepage: https://opendev.org/openstack/oslo.utils

Package: python-oslo.utils-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Utility library - doc
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
  This package contains the documentation.

Package: python3-oslo.utils
Architecture: all
Depends:
 python3-debtcollector (>= 1.2.0),
 python3-iso8601 (>= 0.1.11),
 python3-netaddr (>= 0.10.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-psutil (>= 3.2.2),
 python3-pyparsing (>= 2.1.0),
 ${misc:Depends},
 ${python3:Depends},
Description: set of utility functions for OpenStack - Python 3.x
 The Oslo.utils package provides a set of function which are cross-project
 for OpenStack. For example, it provides text decoding, exception handling,
 Python module import facility (try_import function), network-related
 system-level, and time utilities and helper functions.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/oslo.utils/ oslo.utils-(\d.*)\.tar\.gz
